org.apache.felix.scrplugin.bnd

## Class BndLog

- java.lang.Object
- - org.apache.felix.scrplugin.bnd.BndLog

All Implemented Interfaces:
  org.apache.felix.scrplugin.Log

    public class BndLog
    extends Object
    implements org.apache.felix.scrplugin.Log

Scrplugin Log implementation, which redirects log to both bnd "Reporter" and to /tmp/scrplugin/<BundleSymbolicName>.log

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close log file.
`void` `debug(String content)`
`void` `debug(String content, Throwable error)`
`void` `debug(Throwable error)`
`void` `error(String content)`
`void` `error(String content, String location, int lineNumber)`
`void` `error(String content, String location, int lineNumber, int columnNumber)`
`void` `error(String content, Throwable error)`
`void` `error(Throwable error)`
`void` `info(String content)`
`void` `info(String content, Throwable error)`
`void` `info(Throwable error)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `setLevel(String level)` Sets the enabled log level.
`void` `warn(String content)`
`void` `warn(String content, String location, int lineNumber)`
`void` `warn(String content, String location, int lineNumber, int columNumber)`
`void` `warn(String content, Throwable error)`
`void` `warn(Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()

Close log file.

#### setLevel

    public void setLevel(String level)

Sets the enabled log level.

Parameters:
  `level` - the enabled level ("Error", "Warn", "Info", or "Debug")

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `org.apache.felix.scrplugin.Log`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `org.apache.felix.scrplugin.Log`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `org.apache.felix.scrplugin.Log`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `org.apache.felix.scrplugin.Log`

#### debug

    public void debug(String content)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`

#### debug

    public void debug(String content,
                      Throwable error)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`

#### debug

    public void debug(Throwable error)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`

#### info

    public void info(String content)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`

#### info

    public void info(String content,
                     Throwable error)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`

#### info

    public void info(Throwable error)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`

#### warn

    public void warn(String content)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`

#### warn

    public void warn(String content,
                     Throwable error)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`

#### warn

    public void warn(Throwable error)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`

#### warn

    public void warn(String content,
                     String location,
                     int lineNumber)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`

#### warn

    public void warn(String content,
                     String location,
                     int lineNumber,
                     int columNumber)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`

#### error

    public void error(String content)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`

#### error

    public void error(String content,
                      Throwable error)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`

#### error

    public void error(Throwable error)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`

#### error

    public void error(String content,
                      String location,
                      int lineNumber)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`

#### error

    public void error(String content,
                      String location,
                      int lineNumber,
                      int columnNumber)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`